# Class ImageCellComponent

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:28

#####
Index

### Constructors

constructor

### Properties

position
preset?
repeat
size
value

##
Constructors

### constructor

- new ImageCellComponent(): ImageCellComponent

  #### Returns ImageCellComponent

##
Properties

### position

position: string = BackgroundPositionOptions.CENTER_CENTER

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:40

### `Optional` preset

preset?: string

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:31

### repeat

repeat: BackgroundRepeat = BackgroundRepeatOptions.NO_REPEAT

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:37

### size

size: string = BackgroundSizeOptions.COVER

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:34

### value

value: null | string = null

- Defined in packages/angular/material/table-system/src/lib/cells/image-cell/image-cell.component.ts:43